RC2::Decryption Class Reference

Class specific methods used to operate the cipher in the reverse direction. More...

Inheritance diagram for RC2::Decryption:

## Public Member Functions

| Decryption (const byte *key, size_t keyLen=DEFAULT_KEYLENGTH)
| Decryption (const byte *key, size_t keyLen, int effectiveKeyLen)
Public Member Functions inherited from BlockCipherFinal< DECRYPTION, Dec >
| BlockCipherFinal ()
| Construct a default BlockCipherFinal. More...
| BlockCipherFinal (const byte *key)
| Construct a BlockCipherFinal. More...
| BlockCipherFinal (const byte *key, size_t length)
| Construct a BlockCipherFinal. More...
| BlockCipherFinal (const byte *key, size_t length, unsigned int rounds)
| Construct a BlockCipherFinal. More...
bool | IsForwardTransformation () const
| Provides the direction of the cipher. More...
Public Member Functions inherited from ClonableImpl< BlockCipherFinal< DIR, Dec >, Dec >
Clonable * | Clone () const

## Detailed Description

Class specific methods used to operate the cipher in the reverse direction.

Implementations and overrides in `Decryption` apply to `DECRYPTION`.

Definition at line 78 of file rc2.h.

The documentation for this class was generated from the following file:

- rc2.h